//////////////////////////////////////////////////////////////////////
//
// File:     HtmlExporter.java
// Project:  Java-based html tag extractor
// Author:   Scott Sanner, Stanford University
// Date:     4/12/2000
//
//////////////////////////////////////////////////////////////////////

// Package definition
package Extractor;

import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.*;
import com.quiotix.html.parser.*;

// Main class - Traverses an html parse tree and calls
//              an HtmlCollector for each token
public class HtmlExporter extends HtmlVisitor 
{
  protected HtmlCollector _hc;

  public HtmlExporter(HtmlCollector hc)     
	{ _hc = hc; }

  public void finish()                   
	{ _hc.finish();               }

  public void visit(HtmlDocument.Tag t)        
	{ _hc.addTag(t.toString().trim()); }
  public void visit(HtmlDocument.EndTag t)     
	{ _hc.addCloseTag(t.toString().trim()); }
	public void visit(HtmlDocument.Comment c)    
	{ _hc.addComment(c.toString().trim()); }
	public void visit(HtmlDocument.Text t)       
	{ _hc.addTextString(t.toString().trim()); }
	public void visit(HtmlDocument.Newline n)    
	{ _hc.addNewline(n.toString().trim()); }
	public void visit(HtmlDocument.Annotation a) 
	{ _hc.addAnnotation(a.toString().trim()); }
}

