//////////////////////////////////////////////////////////////////////
//
// File:     HtmlWriter.java
// Project:  Java-based html tag extractor
// Author:   Scott Sanner, Stanford University
// Date:     4/12/2000
//
//////////////////////////////////////////////////////////////////////

// Package definition
package Extractor;

import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.*;
import com.quiotix.html.parser.*;

// Main class - Traverses an html parse tree and outputs
//              tokens to the specified string
public class HtmlWriter extends HtmlVisitor 
{
  protected PrintWriter out;

  public HtmlWriter(OutputStream os)     
	{ out = new PrintWriter(os); }

  public void finish()                   
	{ out.flush();               }

  public void visit(HtmlDocument.Tag t)        
	{ out.println("[T: '" + t + "']");   }
  public void visit(HtmlDocument.EndTag t)     
	{ out.println("[E: '" + t + "']");   }
	public void visit(HtmlDocument.Comment c)    
	{ out.println("[C: '" + c + "']");   }
	public void visit(HtmlDocument.Text t)       
	{ out.println("[X: '" + t + "']");   }
	public void visit(HtmlDocument.Newline n)    
	{ out.println("[NEWLINE]");  }
	public void visit(HtmlDocument.Annotation a) 
	{ out.println("[A: '" + a + "']");   }
}
